
QGIS Application - Bug report #3779

Symbols are incorrectly cropped in map canvas if rotated

2011-04-27 04:35 AM - Alister Hood

Status: Open

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13837

Description

For a point layer, if I use a rectangle "simple symbol", and specify a rotation, the symbol is rotated in the map canvas, but it also has the

corners cut off as if it has been cropped to fit in the area that it would have occupied if it was not rotated.

See attached screenshot (with a symbol dimension of 5m).

This problem does not seem to affect the composer, but note that it has its own bug with rotated symbols (#3778).

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-20 08:36 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Assignee deleted (nobody -)

- Status changed from Open to Closed

Hello, bug triage...

this is fixed in QGIS 2.13 master (and probably in earlier versions). When you rotate the map, point symbols are not rotated, they always are displayed with

the rotation value of the single symbol.

I am closing this bug.
#6 - 2015-11-20 11:09 AM - Nyall Dawson

- Status changed from Closed to Reopened

- Resolution deleted (fixed/implemented)

No, this isn't resolved yet. This refers to the svg symbols bring clipped on rotate, which is still an issue

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#9 - 2019-03-10 03:25 PM - Alister Hood

- Description updated

- Status changed from Closed to Reopened

Still valid for QGIS 3.6.

Note that I tested with simple symbols, not svg symbols, which Nyall mentioned.

#10 - 2019-03-10 04:29 PM - Alister Hood

- Resolution deleted (end of life)

#11 - 2019-03-10 05:53 PM - Giovanni Manghi

- Status changed from Reopened to Open

- Affected QGIS version changed from master to 3.6.0

Files

cut_off.PNG 16.9 KB 2011-04-27 Alister Hood

2024-03-13 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

